<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.business.warning.mapper.RtuWarnSettingMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="rtuWarnSettingEntityResultMap"
               type="org.springblade.modules.business.warning.entity.RtuWarnSettingEntity">
        <result column="warn_active" property="warnActive"/>
        <result column="warn_clock_active" property="warnClockActive"/>
        <result column="warn_min_up_delay_active" property="warnMinUpDelayActive"/>
        <result column="warn_offline_active" property="warnOfflineActive"/>
        <result column="warn_miss_out_active" property="warnMissOutActive"/>
        <result column="warn_outlier_value_active" property="warnOutlierValueActive"/>
        <result column="warn_hour_up_delay_active" property="warnHourUpDelayActive"/>
        <result column="warn_clock_auto_task" property="warnClockAutoTask"/>
        <result column="warn_delay_auto_task" property="warnDelayAutoTask"/>
        <result column="warn_offline_auto_task" property="warnOfflineAutoTask"/>
        <result column="warn_miss_out_auto_task" property="warnMissOutAutoTask"/>
        <result column="warn_outlier_value_auto_task" property="warnMissOutAutoTask"/>
        <result column="warn_hour_up_delay_auto_task" property="warnHourUpDelayAutoTask"/>
        <result column="warn_rain_delay_min_duration" property="warnRainDelayMinDuration"/>
        <result column="warn_river_delay_min_duration" property="warnRiverDelayMinDuration"/>
        <result column="warn_rsvr_delay_min_duration" property="warnRsvrDelayMinDuration"/>
        <result column="warn_ground_delay_min_duration" property="warnGroundDelayMinDuration"/>
        <result column="warn_rain_delay_hour_duration" property="warnRainDelayHourDuration"/>
        <result column="warn_river_delay_hour_duration" property="warnRiverDelayHourDuration"/>
        <result column="warn_rsvr_delay_hour_duration" property="warnRsvrDelayHourDuration"/>
        <result column="warn_ground_delay_hour_duration" property="warnGroundDelayHourDuration"/>
        <result column="warn_rain_offline_duration" property="warnRainOfflineDuration"/>
        <result column="warn_river_offline_duration" property="warnRiverOfflineDuration"/>
        <result column="warn_rsvr_offline_duration" property="warnRsvrOfflineDuration"/>
        <result column="warn_ground_offline_duration" property="warnGroundOfflineDuration"/>
    </resultMap>
</mapper>
